For the complete documentation index, see llms.txt. This page is also available as Markdown.

Targets

This document uses the REST API. For more details, see the Authentication for API page.

Get targets by org ID

get

Get a list of an organization's targets.

Required permissions

  • View Projects (org.project.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org to return a list of targets

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
countbooleanOptional

Calculate total amount of filtered results

limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
is_privatebooleanOptional

Return targets that match the provided value of is_private

exclude_emptybooleanOptional

Return only the targets that has projects

Default: true
urlstringOptional

Return targets that match the provided remote_url.

display_namestringOptional

Return targets with display names starting with the provided string

created_gtestring · date-timeOptional

Return only targets which have been created at or after the specified date.

Example: 2022-01-01T16:00:00Z
Responses
200

A list of targets is returned for the targeted org

application/vnd.api+json
get
/orgs/{org_id}/targets

Get target by target ID

get

Get a specified target for an organization.

Required permissions

  • View Projects (org.project.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org to return the target from

target_idstring · uuidRequired

The id of the target to return

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

A single target is returned if it is found in the specified org

application/vnd.api+json
get
/orgs/{org_id}/targets/{target_id}

Delete target by target ID

delete

Delete the specified target.

Required permissions

  • Remove Projects (org.project.delete)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org to delete

target_idstring · uuidRequired

The id of the target to delete

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
delete
/orgs/{org_id}/targets/{target_id}

No content

Last updated

Was this helpful?